Skip to content

History

All operations require authentication.

3 operationsv1/domain/zone
Agent setup

List restore pointsProduction

GET
/1.0/domain/zone/{zoneName}/history

Returns the creation dates of the zone restore points. Can be filtered by a creation date range.

Path parameters

zoneName
required
string

Zone name

Query parameters

creationDate.from
stringdate-time

Filter using the value of creationDate property (>=)

creationDate.to
stringdate-time

Filter using the value of creationDate property (<=)

Response

200string[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/history \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01T12:00:00Z"]

Get a restore pointProduction

GET
/1.0/domain/zone/{zoneName}/history/{creationDate}

Returns a restore point: its creation date and the URL of the saved zone file.

Path parameters

creationDate
required
stringdate-time

Creation date

zoneName
required
string

Zone name

Response

200ZoneRestorePointsuccessful operation
creationDate
read-only
stringdate-time

The date of backup creation

zoneFileUrl
read-only
string

The URL of the saved zone at this date

Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/history/{creationDate} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "zoneFileUrl": "string"}

Restore the zoneProduction

POST
/1.0/domain/zone/{zoneName}/history/{creationDate}/restore

Restores the zone to the selected restore point and returns the task.

Path parameters

creationDate
required
stringdate-time

Creation date

zoneName
required
string

Zone name

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
TaskFunctionEnum

Function of the task

ValuesDnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestore
id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
TaskStatusEnum

Status of the task

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Todo date of the task

Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/history/{creationDate}/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "DnsAnycastActivate", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}